package it.unibo.stradivarius.database;

import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class Thirty extends AppCompatActivity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        TextView tvMain = findViewById(R.id.tv_main);
        tvMain.setText(Html.fromHtml("Below you see all the students that got 30 in any course"));

        DBHelper dbh = MainActivity.getDBHelper();

        LinearLayout ll = (LinearLayout)findViewById(R.id.mainLayout);

        Cursor cursor = dbh.get30();
        cursor.moveToFirst();

        while (!cursor.isAfterLast()) {

            TextView tv = new TextView(this);
            LinearLayout.LayoutParams lp = new LinearLayout.LayoutParams(LinearLayout.LayoutParams.WRAP_CONTENT, LinearLayout.LayoutParams.WRAP_CONTENT);
            tv.setLayoutParams(lp);

            LinearLayout newLL = new LinearLayout(this);
            LinearLayout.LayoutParams newLP = new LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.WRAP_CONTENT);
            newLL.setLayoutParams(newLP);
            newLL.setOrientation(LinearLayout.HORIZONTAL);

            int id = cursor.getInt(cursor.getColumnIndex(DBHelper.COLUMN_ID));
            String firstName = cursor.getString(cursor.getColumnIndex(DBHelper.COLUMN_FIRST_NAME));
            String lastName = cursor.getString(cursor.getColumnIndex(DBHelper.COLUMN_LAST_NAME));
            String className = cursor.getString(cursor.getColumnIndex(DBHelper.COLUMN_CLASS));
            String grade = cursor.getString(cursor.getColumnIndex(DBHelper.COLUMN_GRADE));

            String toWrite = firstName + " " + lastName + " - " + className + " - " + grade;

            tv.setId(id);

            tv.setText(toWrite);

            newLL.addView(tv);

            Button btn = new Button(this);
            btn.setBackgroundColor(getColor(R.color.colorAccent));
            btn.setText("Delete");
            btn.setId(id);
            btn.setLayoutParams(lp);

            btn.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    // Get the id from the view
                    int id = v.getId();
                    MainActivity.getDBHelper().deleteStudent(id);

                    Intent i = new Intent(getApplicationContext(), MainActivity.class);
                    startActivity(i);
                }
            });

            newLL.addView(btn);

            ll.addView(newLL);

            cursor.moveToNext();
        }
        cursor.close();
    }
}
